Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2693063003: Unload old Cast extensions after initializing ToolbarActionsModel (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by takumif
Modified:
4 months, 1 week ago
Reviewers:
mark a. foltz, Devlin
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Unload old Cast extensions after initializing ToolbarActionsModel With the removal of ComponentMigrationHelper, we removed the mechanism for unloading the old Cast and Cast Beta extensions, which have been replaced by Media Router and are no longer functional. This CL adds back unloading of those extensions so that users would not see the old extensions. BUG=691575 Review-Url: https://codereview.chromium.org/2693063003 Cr-Commit-Position: refs/heads/master@{#450761} Committed: https://chromium.googlesource.com/chromium/src/+/6ac78638dbd719015453216fb4c9fa8185bc885f

Patch Set 1 #

Total comments: 2

Patch Set 2 : Add a TODO #

Total comments: 2

Patch Set 3 : Remove virtual, rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+122 lines, -2 lines) Patch
M chrome/browser/ui/toolbar/component_toolbar_actions_factory.h View 1 2 2 chunks +18 lines, -1 line 0 comments Download
M chrome/browser/ui/toolbar/component_toolbar_actions_factory.cc View 1 4 chunks +29 lines, -1 line 0 comments Download
A chrome/browser/ui/toolbar/component_toolbar_actions_factory_unittest.cc View 1 chunk +68 lines, -0 lines 0 comments Download
M chrome/browser/ui/toolbar/toolbar_actions_model.cc View 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/test/BUILD.gn View 1 2 1 chunk +1 line, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 20 (12 generated)
takumif
Please take a look, thank you!
4 months, 1 week ago (2017-02-14 18:03:34 UTC) #4
mark a. foltz
LGTM Is there a path to uninstalling these extensions so we don't have to keep ...
4 months, 1 week ago (2017-02-14 23:16:09 UTC) #5
Devlin
> Is there a path to uninstalling these extensions so we don't have to keep ...
4 months, 1 week ago (2017-02-14 23:18:49 UTC) #6
takumif
On 2017/02/14 23:18:49, Devlin wrote: > > Is there a path to uninstalling these extensions ...
4 months, 1 week ago (2017-02-14 23:47:45 UTC) #8
Devlin
lgtm https://codereview.chromium.org/2693063003/diff/40001/chrome/browser/ui/toolbar/component_toolbar_actions_factory.h File chrome/browser/ui/toolbar/component_toolbar_actions_factory.h (right): https://codereview.chromium.org/2693063003/diff/40001/chrome/browser/ui/toolbar/component_toolbar_actions_factory.h#newcode51 chrome/browser/ui/toolbar/component_toolbar_actions_factory.h:51: virtual void UnloadMigratedExtensions( Does this need to be ...
4 months, 1 week ago (2017-02-14 23:58:43 UTC) #9
takumif
Thanks for reviewing! Regarding the uninstallation, Stephen agreed that we can go ahead and add ...
4 months, 1 week ago (2017-02-15 18:13:47 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2693063003/60001
4 months, 1 week ago (2017-02-15 18:14:31 UTC) #17
commit-bot: I haz the power
4 months, 1 week ago (2017-02-15 19:17:05 UTC) #20
Message was sent while issue was closed.
Committed patchset #3 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/6ac78638dbd719015453216fb4c9...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318